Patch Network Interface Description

Patch Network Interface Description

Only Solution users, Compute admins, and System admins can patch NetworkInterfaceDescriptions.

Request
URI
PATCH
https://{api_host}/container-service/api/resources/network-interfaces-descriptions/{id}
COPY
Path Parameters
string
id
Required

The id of the NetworkInterfaceDescription


Request Body

The patch of the NetworkInterfaceDescription

NetworkInterfaceDescription of type(s) application/json
Required
{
    "documentExpirationTimeMicros": "string",
    "address": "string",
    "assignment": "string",
    "firewallLinks": [
        "string"
    ],
    "deviceIndex": 0,
    "documentUpdateTimeMicros": "string",
    "subnetLink": "string",
    "documentSelfLink": "string",
    "tagLinks": [
        "string"
    ],
    "name": "string",
    "networkLink": "string",
    "groupLinks": [
        "string"
    ],
    "tenantLinks": [
        "string"
    ],
    "id": "string"
}
string
documentExpirationTimeMicros
Optional

documentExpirationTimeMicros

string
address
Optional

address

string
assignment
Optional

assignment

array of string
firewallLinks
Optional

firewallLinks

integer As int32 As int32
deviceIndex
Optional

deviceIndex

string
documentUpdateTimeMicros
Optional

documentUpdateTimeMicros

string
subnetLink
Optional

subnetLink

object
customProperties
Optional

customProperties

string
documentSelfLink
Optional

documentSelfLink

array of string
tagLinks
Optional

tagLinks

string
name
Optional

name

string
networkLink
Optional

networkLink

array of string
groupLinks
Optional

groupLinks

array of string
tenantLinks
Optional

tenantLinks

string
id
Optional

id

Responses
200
Operation doesn't return any data structure